| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Functions
vector.h File Reference

## Classes

class | wxVector< T >
| wxVector<T> is a template class which implements most of the `std::vector` class and can be used like it. More...

## Functions

template<typename T >
void | wxVectorSort (wxVector< T > &v)
| Sort the contents of a `wxVector<T>`. More...

## Function Documentation

template<typename T >

void wxVectorSort | ( | wxVector< T > & | v | ) |

Sort the contents of a `wxVector<T>`.

In a STL build this function will be defined as a thin wrapper around std::sort. To be sortable the contained type must support the less-than operator.

1 wxVector<SomeClass> v;
2 ... // items are added to the vector v...
3 wxVectorSort(v);

See also
  wxVector<T>